SecurePay APIAsk AIpost https://mapi.pockyt.io/online/v3/secure-payThis endpoint is used to generate payment links/QR codes directing customers to Pockyt's hosted page to receive payments.Body ParamscustomerNostringDefaults to 302156The user's ID in Pockyt System; include this parameter if you wish to map a customer with the payment and request a secure checkoutmerchantNostringrequiredDefaults to 200043Merchant ID in Pockyt's system. A unique value generated by Pockyt during the onboarding process.storeNostringrequiredDefaults to 300014Store Number in Pockyt's system. A unique value created and assigned by Pockyt's systems when a new store is created under a merchantamountstringrequiredDefaults to 13The transaction amountcurrencystringrequiredDefaults to PHPThe supported transaction currencies are "USD", "CNY", "PHP", "IDR", "KRW", "HKD", "THB", "MYR", "GBP", "BDT", "PKR"settleCurrencystringrequiredDefaults to USDWhen the currency is "GBP", the settlement currency is "GBP". All other currencies settle with "USD"vendorstringrequiredDefaults to alipayThe possible payment methods can be found here https://docs.pockyt.io/reference/available-payment-methods#/vendor-parameter-referenceipnUrlstringDefaults to http://zk-tys.yunkeguan.com/ttest/testThe asynchronous notification address. The IPN URL must be secure. For more information, visit the IPN sectioncallbackUrlstringrequiredDefaults to http://zk-tys.yunkeguan.com/ttest/test2?status={status}The synchronous callback HTTP address to receive notification messages for events. The callback URL follows macro substitution rules like xxxcallback_url?trans_no={transactionNo}&amount={amount}. Then Pockyt automatically replaces the values of {} for a list of parametersreferencestringrequiredDefaults to test202001011303The Invoice Number of the transaction in the merchant's systemterminalstringrequiredDefaults to ONLINEThe possible values are: "ONLINE" for desktop/web app and "WAP" for mobile, YIP for BraintreedescriptionstringDefaults to test+descriptionThe description of the transaction will be displayed on the paymentnotestringDefaults to test noteAdditional internal notes on the particular transactionosTypestringrequiredDefaults to IOSWhen terminal is WAP or APP, the possible values are "IOS" and "ANDROID"timeoutstringDefaults to 120The timeout in minutes. The default value is 120goodsInfostringDefaults to [ { "goods_name": "name1", "quantity": "quantity1" } ]JSON encoded string of an array of items that the customer purchases from the merchant; Special characters are not supported. e.g.: [{"goods_name":"name1", "quantity":"quantity1"}, {"goods_name":"name2", "quantity":"quantity2"}]creditTypestringThe payment type. This is only required when vendor = creditcard. The values are "normal" or "CIT". The default is "normal"verifySignstringrequiredDefaults to 72a2c6ce8497adc8a03a78135618e666The parameter signature. It is the calculated MD5 hash value of the API token used to encrypt the request message and authorize transaction requests. For more information, visit Signing API ParametersvaultIdstringDefaults to ca_af748cc62c334c75b83844e53b76e9b3The unique payment ID for payment methods stored in the PPMP vault. This is only necessary for recurring payments workflows with PPMP.Response 200200Updated 5 months ago